### Method

# Gtk CellAreaget_preferred_width_for_height

deprecated: 4.10

#### Declaration [src]

    void
    gtk_cell_area_get_preferred_width_for_height (
      GtkCellArea* area,
      GtkCellAreaContext* context,
      GtkWidget* widget,
      int height,
      int* minimum_width,
      int* natural_width
    )

#### Description [src]

Retrieves a cell area’s minimum and natural width if it would be given the specified `height`.

`area` stores some geometrical information in `context` along the way while calling gtk_cell_area_get_preferred_height(). It’s important to perform a series of `gtk_cell_area_get_preferred_height()` requests with `context` first and then call `gtk_cell_area_get_preferred_width_for_height()` on each cell area individually to get the height for width of each fully requested row.

If at some point, the height of a single row changes, it should be requested with `gtk_cell_area_get_preferred_height()` again and then the full height of the requested rows checked again with gtk_cell_area_context_get_preferred_height().

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`context`

  Type: `GtkCellAreaContext`

  The `GtkCellArea`Context which has already been requested for widths.

  The data is owned by the caller of the method.

`widget`

  Type: `GtkWidget`

  The `GtkWidget` where `area` will be rendering.

  The data is owned by the caller of the method.

`height`

  Type: `int`

  The height for which to check the width of this area.

`minimum_width`

  Type: `int*`

  Location to store the minimum width.

  The argument will be set by the function.
  The argument can be `NULL`.

`natural_width`

  Type: `int*`

  Location to store the natural width.

  The argument will be set by the function.
  The argument can be `NULL`.